/*
 File: lalr1_dp1.cpp
 Date and Time: Mon Oct 13 18:18:14 2014 
*/
#include "lalr1_dp1.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_lalr1_dp1;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Clalr1_dp1::
  Clalr1_dp1()
    :yacco2::CAbs_fsm
      ("lalr1_dp1.lex"
      ,"1.0"
      ,"13-sep-97"
      ,true
      ,"test out lr1"
      ,"Mon Oct 13 18:18:14 2014 "
      ,S1_Clalr1_dp1){
    
  }
 
Clalr1_dp1::~Clalr1_dp1(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Clalr1_dp1::failed(){
      return false;
  }
  void Clalr1_dp1::op(){
}
int Clalr1_dp1::rhs_to_rules_mapping_[8] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,2 // subrule 6 for rule 3
 ,3 // subrule 7 for rule 4
}; 
Rlalr1_dp1::Rlalr1_dp1(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlalr1_dp1",0,Clalr1_dp1::R_Rlalr1_dp1_,P,false,false){
}

RS1::RS1(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS1",0,Clalr1_dp1::R_RS1_,P,false,false){
}

RA::RA(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RA",0,Clalr1_dp1::R_RA_,P,false,false){
}

RB::RB(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RB",0,Clalr1_dp1::R_RB_,P,false,false){
}

